import request from "@/utils/request";

// 查询住户管理列表
export function listHouse(query) {
  return request({
    url: "/taicangpop/house/list",
    method: "get",
    params: query,
  });
}

// 查询住户管理详细
export function getHouse(id) {
  return request({
    url: "/taicangpop/house/" + id,
    method: "get",
  });
}

// 新增住户管理
export function addHouse(data) {
  return request({
    url: "/taicangpop/house",
    method: "post",
    data: data,
  });
}

// 修改住户管理
export function updateHouse(data) {
  return request({
    url: "/taicangpop/house",
    method: "put",
    data: data,
  });
}

// 删除住户管理
export function delHouse(id) {
  return request({
    url: "/taicangpop/house/" + id,
    method: "delete",
  });
}

// 导出住户管理
export function exportHouse(query) {
  return request({
    url: "/taicangpop/house/export",
    method: "get",
    params: query,
  });
}

// 查询住户管理排摸
// export function listPaimoHouse(id) {
//   return request({
//     url: "/taicangpop/house/getweigengxin?buildingid=" + id,
//     method: "get",
//   });
// }

// 查询住户管理排摸
export function listPaimoHouse(id) {
  return request({
    url: "/taicangpop/house/getweigengxinnew?buildingid=" + id,
    method: "get",
  });
}
